summaryrefslogtreecommitdiffstats
path: root/graphics/renderdoc/renderdoc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/renderdoc/renderdoc.SlackBuild')
-rw-r--r--graphics/renderdoc/renderdoc.SlackBuild22
1 files changed, 17 insertions, 5 deletions
diff --git a/graphics/renderdoc/renderdoc.SlackBuild b/graphics/renderdoc/renderdoc.SlackBuild
index 660ade67b2..573f723403 100644
--- a/graphics/renderdoc/renderdoc.SlackBuild
+++ b/graphics/renderdoc/renderdoc.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=renderdoc
-VERSION=${VERSION:-1.10}
+VERSION=${VERSION:-1.11}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -64,7 +64,14 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-if pkg-config --exists python3 && pkg-config --exists Qt5Core; then
+if [ "${DEBUG:=0}" != 0 ]; then
+ RELEASE=Debug
+ SLKCFLAGS="$(printf %s "$SLKCFLAGS" | sed 's/-O2/-O0/')"
+else
+ RELEASE=Release
+fi
+
+if [ "${QT:-yes}" = yes ] && pkg-config --exists Qt5Core python3; then
GUI=ON
else
GUI=OFF
@@ -89,13 +96,18 @@ cd build
-DBUILD_VERSION_STABLE=ON \
-DBUILD_VERSION_DIST_NAME=slackware \
-DBUILD_VERSION_DIST_CONTACT='https://lists.slackbuilds.org/' \
- -DCMAKE_BUILD_TYPE=Release ..
+ -DCMAKE_BUILD_TYPE=$RELEASE ..
make
make install DESTDIR=$PKG
cd ..
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
- grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+# renderdoc explicity depends on CMAKE_INSTALL_RPATH
+# -DCMAKE_SKIP_RPATH=TRUE \
+
+if [ "$DEBUG" = 0 ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild